using Books_Shop_Kopey.Model;
using Books_Shop_Kopey.VM;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Books_Shop_Kopey
{
    /// <summary>
    /// Логика взаимодействия для MainWindow.xaml
    /// </summary>
    public static class FramePage
    {
        public static Frame page { get; set; }
    }
    public static class Data
    {
        public static Books_Shop_KopeykinEntities Sush { get; } = new Books_Shop_KopeykinEntities();
    }
    public partial class MainWindow : Window
    {
        ViewModel VM = new ViewModel();

        public MainWindow()
        {
            InitializeComponent();
            FramePage.page = MainPage;

        }

        private void bookin_Selected(object sender, RoutedEventArgs e)
        {
            MainPage.Navigate(new Pages.Books(VM));
        }

        private void shop_Selected(object sender, RoutedEventArgs e)
        {
            MainPage.Navigate(new Pages.Shop(VM));

        }
    }
}
